• Home
  • Line#
  • Scopes#
  • Navigate#
  • Raw
  • Download
1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \	]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78build_triplet = @build@
79host_triplet = @host@
80check_PROGRAMS = test_tls_options$(EXEEXT) \
81	test_tls_authentication$(EXEEXT) \
82	test_https_multi_daemon$(EXEEXT) test_https_get$(EXEEXT) \
83	$(am__EXEEXT_1) test_https_get_select$(EXEEXT) $(am__EXEEXT_2) \
84	test_https_session_info$(EXEEXT) test_https_time_out$(EXEEXT) \
85	test_empty_response$(EXEEXT)
86TESTS = test_tls_options$(EXEEXT) test_https_multi_daemon$(EXEEXT) \
87	test_https_get$(EXEEXT) $(am__EXEEXT_1) \
88	test_https_get_select$(EXEEXT) $(am__EXEEXT_2) \
89	test_https_session_info$(EXEEXT) test_https_time_out$(EXEEXT) \
90	test_tls_authentication$(EXEEXT) test_empty_response$(EXEEXT)
91subdir = src/testcurl/https
92DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
93	$(top_srcdir)/depcomp $(top_srcdir)/test-driver
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
96	$(top_srcdir)/m4/ax_append_flag.m4 \
97	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
98	$(top_srcdir)/m4/ax_check_link_flag.m4 \
99	$(top_srcdir)/m4/ax_check_openssl.m4 \
100	$(top_srcdir)/m4/ax_count_cpus.m4 \
101	$(top_srcdir)/m4/ax_have_epoll.m4 \
102	$(top_srcdir)/m4/ax_pthread.m4 \
103	$(top_srcdir)/m4/ax_require_defined.m4 \
104	$(top_srcdir)/m4/libcurl.m4 $(top_srcdir)/m4/libgcrypt.m4 \
105	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
106	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
107	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
108	$(top_srcdir)/configure.ac
109am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
110	$(ACLOCAL_M4)
111mkinstalldirs = $(install_sh) -d
112CONFIG_HEADER = $(top_builddir)/MHD_config.h
113CONFIG_CLEAN_FILES =
114CONFIG_CLEAN_VPATH_FILES =
115@HAVE_GNUTLS_SNI_TRUE@am__EXEEXT_1 = test_https_sni$(EXEEXT)
116@HAVE_POSIX_THREADS_TRUE@am__EXEEXT_2 =  \
117@HAVE_POSIX_THREADS_TRUE@	test_https_get_parallel$(EXEEXT) \
118@HAVE_POSIX_THREADS_TRUE@	test_https_get_parallel_threads$(EXEEXT)
119am_test_empty_response_OBJECTS = test_empty_response.$(OBJEXT) \
120	tls_test_common.$(OBJEXT)
121test_empty_response_OBJECTS = $(am_test_empty_response_OBJECTS)
122am__DEPENDENCIES_1 =
123test_empty_response_DEPENDENCIES =  \
124	$(top_builddir)/src/testcurl/libcurl_version_check.a \
125	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
126	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
127AM_V_lt = $(am__v_lt_@AM_V@)
128am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
129am__v_lt_0 = --silent
130am__v_lt_1 =
131am_test_https_get_OBJECTS = test_https_get.$(OBJEXT) \
132	tls_test_common.$(OBJEXT)
133test_https_get_OBJECTS = $(am_test_https_get_OBJECTS)
134test_https_get_DEPENDENCIES =  \
135	$(top_builddir)/src/testcurl/libcurl_version_check.a \
136	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
137	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
138am_test_https_get_parallel_OBJECTS =  \
139	test_https_get_parallel-test_https_get_parallel.$(OBJEXT) \
140	test_https_get_parallel-tls_test_common.$(OBJEXT)
141test_https_get_parallel_OBJECTS =  \
142	$(am_test_https_get_parallel_OBJECTS)
143test_https_get_parallel_DEPENDENCIES =  \
144	$(top_builddir)/src/testcurl/libcurl_version_check.a \
145	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
146	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
147	$(am__DEPENDENCIES_1)
148test_https_get_parallel_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
149	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
150	$(test_https_get_parallel_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
151	$(LDFLAGS) -o $@
152am_test_https_get_parallel_threads_OBJECTS = test_https_get_parallel_threads-test_https_get_parallel_threads.$(OBJEXT) \
153	test_https_get_parallel_threads-tls_test_common.$(OBJEXT)
154test_https_get_parallel_threads_OBJECTS =  \
155	$(am_test_https_get_parallel_threads_OBJECTS)
156test_https_get_parallel_threads_DEPENDENCIES =  \
157	$(top_builddir)/src/testcurl/libcurl_version_check.a \
158	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
159	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
160	$(am__DEPENDENCIES_1)
161test_https_get_parallel_threads_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
162	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
163	$(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) \
164	$(AM_LDFLAGS) $(LDFLAGS) -o $@
165am_test_https_get_select_OBJECTS = test_https_get_select.$(OBJEXT) \
166	tls_test_common.$(OBJEXT)
167test_https_get_select_OBJECTS = $(am_test_https_get_select_OBJECTS)
168test_https_get_select_DEPENDENCIES =  \
169	$(top_builddir)/src/testcurl/libcurl_version_check.a \
170	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
171	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
172am_test_https_multi_daemon_OBJECTS =  \
173	test_https_multi_daemon.$(OBJEXT) tls_test_common.$(OBJEXT)
174test_https_multi_daemon_OBJECTS =  \
175	$(am_test_https_multi_daemon_OBJECTS)
176test_https_multi_daemon_DEPENDENCIES =  \
177	$(top_builddir)/src/testcurl/libcurl_version_check.a \
178	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
179	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
180am_test_https_session_info_OBJECTS =  \
181	test_https_session_info.$(OBJEXT) tls_test_common.$(OBJEXT)
182test_https_session_info_OBJECTS =  \
183	$(am_test_https_session_info_OBJECTS)
184test_https_session_info_DEPENDENCIES =  \
185	$(top_builddir)/src/testcurl/libcurl_version_check.a \
186	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
187	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
188am__test_https_sni_SOURCES_DIST = test_https_sni.c tls_test_common.c
189@HAVE_GNUTLS_SNI_TRUE@am_test_https_sni_OBJECTS =  \
190@HAVE_GNUTLS_SNI_TRUE@	test_https_sni-test_https_sni.$(OBJEXT) \
191@HAVE_GNUTLS_SNI_TRUE@	test_https_sni-tls_test_common.$(OBJEXT)
192test_https_sni_OBJECTS = $(am_test_https_sni_OBJECTS)
193@HAVE_GNUTLS_SNI_TRUE@test_https_sni_DEPENDENCIES = $(top_builddir)/src/testcurl/libcurl_version_check.a \
194@HAVE_GNUTLS_SNI_TRUE@	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
195@HAVE_GNUTLS_SNI_TRUE@	$(am__DEPENDENCIES_1) \
196@HAVE_GNUTLS_SNI_TRUE@	$(am__DEPENDENCIES_1)
197am_test_https_time_out_OBJECTS = test_https_time_out.$(OBJEXT) \
198	tls_test_common.$(OBJEXT)
199test_https_time_out_OBJECTS = $(am_test_https_time_out_OBJECTS)
200test_https_time_out_DEPENDENCIES =  \
201	$(top_builddir)/src/testcurl/libcurl_version_check.a \
202	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
203	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
204am_test_tls_authentication_OBJECTS =  \
205	test_tls_authentication.$(OBJEXT) tls_test_common.$(OBJEXT)
206test_tls_authentication_OBJECTS =  \
207	$(am_test_tls_authentication_OBJECTS)
208test_tls_authentication_DEPENDENCIES =  \
209	$(top_builddir)/src/testcurl/libcurl_version_check.a \
210	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
211	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
212am_test_tls_options_OBJECTS = test_tls_options.$(OBJEXT) \
213	tls_test_common.$(OBJEXT)
214test_tls_options_OBJECTS = $(am_test_tls_options_OBJECTS)
215test_tls_options_DEPENDENCIES =  \
216	$(top_builddir)/src/testcurl/libcurl_version_check.a \
217	$(top_builddir)/src/microhttpd/libmicrohttpd.la \
218	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
219AM_V_P = $(am__v_P_@AM_V@)
220am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
221am__v_P_0 = false
222am__v_P_1 = :
223AM_V_GEN = $(am__v_GEN_@AM_V@)
224am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
225am__v_GEN_0 = @echo "  GEN     " $@;
226am__v_GEN_1 =
227AM_V_at = $(am__v_at_@AM_V@)
228am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
229am__v_at_0 = @
230am__v_at_1 =
231DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
232depcomp = $(SHELL) $(top_srcdir)/depcomp
233am__depfiles_maybe = depfiles
234am__mv = mv -f
235COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
236	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
237LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
238	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
239	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
240	$(AM_CFLAGS) $(CFLAGS)
241AM_V_CC = $(am__v_CC_@AM_V@)
242am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
243am__v_CC_0 = @echo "  CC      " $@;
244am__v_CC_1 =
245CCLD = $(CC)
246LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
247	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
248	$(AM_LDFLAGS) $(LDFLAGS) -o $@
249AM_V_CCLD = $(am__v_CCLD_@AM_V@)
250am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
251am__v_CCLD_0 = @echo "  CCLD    " $@;
252am__v_CCLD_1 =
253SOURCES = $(test_empty_response_SOURCES) $(test_https_get_SOURCES) \
254	$(test_https_get_parallel_SOURCES) \
255	$(test_https_get_parallel_threads_SOURCES) \
256	$(test_https_get_select_SOURCES) \
257	$(test_https_multi_daemon_SOURCES) \
258	$(test_https_session_info_SOURCES) $(test_https_sni_SOURCES) \
259	$(test_https_time_out_SOURCES) \
260	$(test_tls_authentication_SOURCES) $(test_tls_options_SOURCES)
261DIST_SOURCES = $(test_empty_response_SOURCES) \
262	$(test_https_get_SOURCES) $(test_https_get_parallel_SOURCES) \
263	$(test_https_get_parallel_threads_SOURCES) \
264	$(test_https_get_select_SOURCES) \
265	$(test_https_multi_daemon_SOURCES) \
266	$(test_https_session_info_SOURCES) \
267	$(am__test_https_sni_SOURCES_DIST) \
268	$(test_https_time_out_SOURCES) \
269	$(test_tls_authentication_SOURCES) $(test_tls_options_SOURCES)
270RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
271	ctags-recursive dvi-recursive html-recursive info-recursive \
272	install-data-recursive install-dvi-recursive \
273	install-exec-recursive install-html-recursive \
274	install-info-recursive install-pdf-recursive \
275	install-ps-recursive install-recursive installcheck-recursive \
276	installdirs-recursive pdf-recursive ps-recursive \
277	tags-recursive uninstall-recursive
278am__can_run_installinfo = \
279  case $$AM_UPDATE_INFO_DIR in \
280    n|no|NO) false;; \
281    *) (install-info --version) >/dev/null 2>&1;; \
282  esac
283RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
284  distclean-recursive maintainer-clean-recursive
285am__recursive_targets = \
286  $(RECURSIVE_TARGETS) \
287  $(RECURSIVE_CLEAN_TARGETS) \
288  $(am__extra_recursive_targets)
289AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
290	check recheck distdir
291am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
292# Read a list of newline-separated strings from the standard input,
293# and print each of them once, without duplicates.  Input order is
294# *not* preserved.
295am__uniquify_input = $(AWK) '\
296  BEGIN { nonempty = 0; } \
297  { items[$$0] = 1; nonempty = 1; } \
298  END { if (nonempty) { for (i in items) print i; }; } \
299'
300# Make sure the list of sources is unique.  This is necessary because,
301# e.g., the same source file might be shared among _SOURCES variables
302# for different programs/libraries.
303am__define_uniq_tagged_files = \
304  list='$(am__tagged_files)'; \
305  unique=`for i in $$list; do \
306    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
307  done | $(am__uniquify_input)`
308ETAGS = etags
309CTAGS = ctags
310am__tty_colors_dummy = \
311  mgn= red= grn= lgn= blu= brg= std=; \
312  am__color_tests=no
313am__tty_colors = { \
314  $(am__tty_colors_dummy); \
315  if test "X$(AM_COLOR_TESTS)" = Xno; then \
316    am__color_tests=no; \
317  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
318    am__color_tests=yes; \
319  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
320    am__color_tests=yes; \
321  fi; \
322  if test $$am__color_tests = yes; then \
323    red=''; \
324    grn=''; \
325    lgn=''; \
326    blu=''; \
327    mgn=''; \
328    brg=''; \
329    std=''; \
330  fi; \
331}
332am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
333am__vpath_adj = case $$p in \
334    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
335    *) f=$$p;; \
336  esac;
337am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
338am__install_max = 40
339am__nobase_strip_setup = \
340  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
341am__nobase_strip = \
342  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
343am__nobase_list = $(am__nobase_strip_setup); \
344  for p in $$list; do echo "$$p $$p"; done | \
345  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
346  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
347    if (++n[$$2] == $(am__install_max)) \
348      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
349    END { for (dir in files) print dir, files[dir] }'
350am__base_list = \
351  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
352  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
353am__uninstall_files_from_dir = { \
354  test -z "$$files" \
355    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
356    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
357         $(am__cd) "$$dir" && rm -f $$files; }; \
358  }
359am__recheck_rx = ^[ 	]*:recheck:[ 	]*
360am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
361am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
362# A command that, given a newline-separated list of test names on the
363# standard input, print the name of the tests that are to be re-run
364# upon "make recheck".
365am__list_recheck_tests = $(AWK) '{ \
366  recheck = 1; \
367  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
368    { \
369      if (rc < 0) \
370        { \
371          if ((getline line2 < ($$0 ".log")) < 0) \
372	    recheck = 0; \
373          break; \
374        } \
375      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
376        { \
377          recheck = 0; \
378          break; \
379        } \
380      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
381        { \
382          break; \
383        } \
384    }; \
385  if (recheck) \
386    print $$0; \
387  close ($$0 ".trs"); \
388  close ($$0 ".log"); \
389}'
390# A command that, given a newline-separated list of test names on the
391# standard input, create the global log from their .trs and .log files.
392am__create_global_log = $(AWK) ' \
393function fatal(msg) \
394{ \
395  print "fatal: making $@: " msg | "cat >&2"; \
396  exit 1; \
397} \
398function rst_section(header) \
399{ \
400  print header; \
401  len = length(header); \
402  for (i = 1; i <= len; i = i + 1) \
403    printf "="; \
404  printf "\n\n"; \
405} \
406{ \
407  copy_in_global_log = 1; \
408  global_test_result = "RUN"; \
409  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
410    { \
411      if (rc < 0) \
412         fatal("failed to read from " $$0 ".trs"); \
413      if (line ~ /$(am__global_test_result_rx)/) \
414        { \
415          sub("$(am__global_test_result_rx)", "", line); \
416          sub("[ 	]*$$", "", line); \
417          global_test_result = line; \
418        } \
419      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
420        copy_in_global_log = 0; \
421    }; \
422  if (copy_in_global_log) \
423    { \
424      rst_section(global_test_result ": " $$0); \
425      while ((rc = (getline line < ($$0 ".log"))) != 0) \
426      { \
427        if (rc < 0) \
428          fatal("failed to read from " $$0 ".log"); \
429        print line; \
430      }; \
431      printf "\n"; \
432    }; \
433  close ($$0 ".trs"); \
434  close ($$0 ".log"); \
435}'
436# Restructured Text title.
437am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
438# Solaris 10 'make', and several other traditional 'make' implementations,
439# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
440# by disabling -e (using the XSI extension "set +e") if it's set.
441am__sh_e_setup = case $$- in *e*) set +e;; esac
442# Default flags passed to test drivers.
443am__common_driver_flags = \
444  --color-tests "$$am__color_tests" \
445  --enable-hard-errors "$$am__enable_hard_errors" \
446  --expect-failure "$$am__expect_failure"
447# To be inserted before the command running the test.  Creates the
448# directory for the log if needed.  Stores in $dir the directory
449# containing $f, in $tst the test, in $log the log.  Executes the
450# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
451# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
452# will run the test scripts (or their associated LOG_COMPILER, if
453# thy have one).
454am__check_pre = \
455$(am__sh_e_setup);					\
456$(am__vpath_adj_setup) $(am__vpath_adj)			\
457$(am__tty_colors);					\
458srcdir=$(srcdir); export srcdir;			\
459case "$@" in						\
460  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
461    *) am__odir=.;; 					\
462esac;							\
463test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
464  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
465if test -f "./$$f"; then dir=./;			\
466elif test -f "$$f"; then dir=;				\
467else dir="$(srcdir)/"; fi;				\
468tst=$$dir$$f; log='$@'; 				\
469if test -n '$(DISABLE_HARD_ERRORS)'; then		\
470  am__enable_hard_errors=no; 				\
471else							\
472  am__enable_hard_errors=yes; 				\
473fi; 							\
474case " $(XFAIL_TESTS) " in				\
475  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
476    am__expect_failure=yes;;				\
477  *)							\
478    am__expect_failure=no;;				\
479esac; 							\
480$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
481# A shell command to get the names of the tests scripts with any registered
482# extension removed (i.e., equivalently, the names of the test logs, with
483# the '.log' extension removed).  The result is saved in the shell variable
484# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
485# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
486# since that might cause problem with VPATH rewrites for suffix-less tests.
487# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
488am__set_TESTS_bases = \
489  bases='$(TEST_LOGS)'; \
490  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
491  bases=`echo $$bases`
492RECHECK_LOGS = $(TEST_LOGS)
493TEST_SUITE_LOG = test-suite.log
494TEST_EXTENSIONS = @EXEEXT@ .test
495LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
496LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
497am__set_b = \
498  case '$@' in \
499    */*) \
500      case '$*' in \
501        */*) b='$*';; \
502          *) b=`echo '$@' | sed 's/\.log$$//'`; \
503       esac;; \
504    *) \
505      b='$*';; \
506  esac
507am__test_logs1 = $(TESTS:=.log)
508am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
509TEST_LOGS = $(am__test_logs2:.test.log=.log)
510TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
511TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
512	$(TEST_LOG_FLAGS)
513DIST_SUBDIRS = $(SUBDIRS)
514DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
515am__relativize = \
516  dir0=`pwd`; \
517  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
518  sed_rest='s,^[^/]*/*,,'; \
519  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
520  sed_butlast='s,/*[^/]*$$,,'; \
521  while test -n "$$dir1"; do \
522    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
523    if test "$$first" != "."; then \
524      if test "$$first" = ".."; then \
525        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
526        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
527      else \
528        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
529        if test "$$first2" = "$$first"; then \
530          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
531        else \
532          dir2="../$$dir2"; \
533        fi; \
534        dir0="$$dir0"/"$$first"; \
535      fi; \
536    fi; \
537    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
538  done; \
539  reldir="$$dir2"
540ACLOCAL = @ACLOCAL@
541AMTAR = @AMTAR@
542AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
543AR = @AR@
544AS = @AS@
545AUTOCONF = @AUTOCONF@
546AUTOHEADER = @AUTOHEADER@
547AUTOMAKE = @AUTOMAKE@
548AWK = @AWK@
549CC = @CC@
550CCDEPMODE = @CCDEPMODE@
551CFLAGS = @CFLAGS@
552CPP = @CPP@
553CPPFLAGS = @CPPFLAGS@
554CPU_COUNT = @CPU_COUNT@
555CYGPATH_W = @CYGPATH_W@
556DEFS = @DEFS@
557DEPDIR = @DEPDIR@
558DLLTOOL = @DLLTOOL@
559DSYMUTIL = @DSYMUTIL@
560DUMPBIN = @DUMPBIN@
561ECHO_C = @ECHO_C@
562ECHO_N = @ECHO_N@
563ECHO_T = @ECHO_T@
564EGREP = @EGREP@
565EXEEXT = @EXEEXT@
566FGREP = @FGREP@
567GNUTLS_CFLAGS = @GNUTLS_CFLAGS@
568GNUTLS_CPPFLAGS = @GNUTLS_CPPFLAGS@
569GNUTLS_LDFLAGS = @GNUTLS_LDFLAGS@
570GNUTLS_LIBS = @GNUTLS_LIBS@
571GREP = @GREP@
572HAVE_CURL_BINARY = @HAVE_CURL_BINARY@
573HAVE_MAKEINFO_BINARY = @HAVE_MAKEINFO_BINARY@
574HIDDEN_VISIBILITY_CFLAGS = @HIDDEN_VISIBILITY_CFLAGS@
575INSTALL = @INSTALL@
576INSTALL_DATA = @INSTALL_DATA@
577INSTALL_PROGRAM = @INSTALL_PROGRAM@
578INSTALL_SCRIPT = @INSTALL_SCRIPT@
579INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
580LD = @LD@
581LDFLAGS = @LDFLAGS@
582LIBCURL = @LIBCURL@
583LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
584LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@
585LIBGCRYPT_CONFIG = @LIBGCRYPT_CONFIG@
586LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@
587LIBOBJS = @LIBOBJS@
588LIBS = @LIBS@
589LIBSPDY_VERSION_AGE = @LIBSPDY_VERSION_AGE@
590LIBSPDY_VERSION_CURRENT = @LIBSPDY_VERSION_CURRENT@
591LIBSPDY_VERSION_REVISION = @LIBSPDY_VERSION_REVISION@
592LIBTOOL = @LIBTOOL@
593LIB_VERSION_AGE = @LIB_VERSION_AGE@
594LIB_VERSION_CURRENT = @LIB_VERSION_CURRENT@
595LIB_VERSION_REVISION = @LIB_VERSION_REVISION@
596LIPO = @LIPO@
597LN_S = @LN_S@
598LTLIBOBJS = @LTLIBOBJS@
599MAKEINFO = @MAKEINFO@
600MANIFEST_TOOL = @MANIFEST_TOOL@
601MHD_LIBDEPS = @MHD_LIBDEPS@
602MHD_LIBDEPS_PKGCFG = @MHD_LIBDEPS_PKGCFG@
603MHD_LIB_CFLAGS = @MHD_LIB_CFLAGS@
604MHD_LIB_CPPFLAGS = @MHD_LIB_CPPFLAGS@
605MHD_LIB_LDFLAGS = @MHD_LIB_LDFLAGS@
606MHD_REQ_PRIVATE = @MHD_REQ_PRIVATE@
607MKDIR_P = @MKDIR_P@
608MS_LIB_TOOL = @MS_LIB_TOOL@
609NM = @NM@
610NMEDIT = @NMEDIT@
611OBJDUMP = @OBJDUMP@
612OBJEXT = @OBJEXT@
613OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
614OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
615OPENSSL_LIBS = @OPENSSL_LIBS@
616OTOOL = @OTOOL@
617OTOOL64 = @OTOOL64@
618PACKAGE = @PACKAGE@
619PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
620PACKAGE_NAME = @PACKAGE_NAME@
621PACKAGE_STRING = @PACKAGE_STRING@
622PACKAGE_TARNAME = @PACKAGE_TARNAME@
623PACKAGE_URL = @PACKAGE_URL@
624PACKAGE_VERSION = @PACKAGE_VERSION@
625PACKAGE_VERSION_MAJOR = @PACKAGE_VERSION_MAJOR@
626PACKAGE_VERSION_MINOR = @PACKAGE_VERSION_MINOR@
627PACKAGE_VERSION_SUBMINOR = @PACKAGE_VERSION_SUBMINOR@
628PATH_SEPARATOR = @PATH_SEPARATOR@
629PKG_CONFIG = @PKG_CONFIG@
630PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
631PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
632PTHREAD_CC = @PTHREAD_CC@
633PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
634PTHREAD_LIBS = @PTHREAD_LIBS@
635RANLIB = @RANLIB@
636RC = @RC@
637SED = @SED@
638SET_MAKE = @SET_MAKE@
639SHELL = @SHELL@
640SPDY_LIBDEPS = @SPDY_LIBDEPS@
641SPDY_LIB_CFLAGS = @SPDY_LIB_CFLAGS@
642SPDY_LIB_CPPFLAGS = @SPDY_LIB_CPPFLAGS@
643SPDY_LIB_LDFLAGS = @SPDY_LIB_LDFLAGS@
644STRIP = @STRIP@
645VERSION = @VERSION@
646_libcurl_config = @_libcurl_config@
647abs_builddir = @abs_builddir@
648abs_srcdir = @abs_srcdir@
649abs_top_builddir = @abs_top_builddir@
650abs_top_srcdir = @abs_top_srcdir@
651ac_ct_AR = @ac_ct_AR@
652ac_ct_CC = @ac_ct_CC@
653ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
654am__include = @am__include@
655am__leading_dot = @am__leading_dot@
656am__quote = @am__quote@
657am__tar = @am__tar@
658am__untar = @am__untar@
659ax_pthread_config = @ax_pthread_config@
660bindir = @bindir@
661build = @build@
662build_alias = @build_alias@
663build_cpu = @build_cpu@
664build_os = @build_os@
665build_vendor = @build_vendor@
666builddir = @builddir@
667datadir = @datadir@
668datarootdir = @datarootdir@
669docdir = @docdir@
670dvidir = @dvidir@
671exec_prefix = @exec_prefix@
672have_socat = @have_socat@
673have_zzuf = @have_zzuf@
674host = @host@
675host_alias = @host_alias@
676host_cpu = @host_cpu@
677host_os = @host_os@
678host_vendor = @host_vendor@
679htmldir = @htmldir@
680includedir = @includedir@
681infodir = @infodir@
682install_sh = @install_sh@
683libdir = @libdir@
684libexecdir = @libexecdir@
685localedir = @localedir@
686localstatedir = @localstatedir@
687lt_cv_objdir = @lt_cv_objdir@
688mandir = @mandir@
689mkdir_p = @mkdir_p@
690oldincludedir = @oldincludedir@
691pdfdir = @pdfdir@
692prefix = @prefix@
693program_transform_name = @program_transform_name@
694psdir = @psdir@
695sbindir = @sbindir@
696sharedstatedir = @sharedstatedir@
697srcdir = @srcdir@
698sysconfdir = @sysconfdir@
699target_alias = @target_alias@
700top_build_prefix = @top_build_prefix@
701top_builddir = @top_builddir@
702top_srcdir = @top_srcdir@
703
704# This Makefile.am is in the public domain
705SUBDIRS = .
706@USE_COVERAGE_TRUE@AM_CFLAGS = --coverage
707@HAVE_GNUTLS_SNI_TRUE@TEST_HTTPS_SNI = test_https_sni
708@HAVE_POSIX_THREADS_TRUE@HTTPS_PARALLEL_TESTS = test_https_get_parallel \
709@HAVE_POSIX_THREADS_TRUE@  test_https_get_parallel_threads
710
711CPU_COUNT_DEF = -DCPU_COUNT=$(CPU_COUNT)
712AM_CPPFLAGS = \
713  -I$(top_srcdir)/src/include \
714  -I$(top_srcdir)/src/microhttpd \
715  -I$(top_srcdir)/src/platform \
716  $(LIBCURL_CPPFLAGS) $(GNUTLS_CPPFLAGS)
717
718EXTRA_DIST = cert.pem key.pem tls_test_keys.h tls_test_common.h \
719  host1.crt host1.key host2.crt host2.key
720
721test_https_time_out_SOURCES = \
722  test_https_time_out.c \
723  tls_test_common.c
724
725test_https_time_out_LDADD = \
726  $(top_builddir)/src/testcurl/libcurl_version_check.a \
727  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
728  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
729
730test_tls_options_SOURCES = \
731  test_tls_options.c \
732  tls_test_common.c
733
734test_tls_options_LDADD = \
735  $(top_builddir)/src/testcurl/libcurl_version_check.a \
736  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
737  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
738
739test_https_get_parallel_SOURCES = \
740  test_https_get_parallel.c \
741  tls_test_common.c
742
743test_https_get_parallel_CPPFLAGS = \
744  $(AM_CPPFLAGS) $(CPU_COUNT_DEF)
745
746test_https_get_parallel_CFLAGS = \
747  $(PTHREAD_CFLAGS) $(AM_CFLAGS)
748
749test_https_get_parallel_LDADD = \
750  $(top_builddir)/src/testcurl/libcurl_version_check.a \
751  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
752  $(PTHREAD_LIBS) $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
753
754test_empty_response_SOURCES = \
755  test_empty_response.c \
756  tls_test_common.c
757
758test_empty_response_LDADD = \
759  $(top_builddir)/src/testcurl/libcurl_version_check.a \
760  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
761  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
762
763test_https_get_parallel_threads_SOURCES = \
764  test_https_get_parallel_threads.c \
765  tls_test_common.c
766
767test_https_get_parallel_threads_CPPFLAGS = \
768  $(AM_CPPFLAGS) $(CPU_COUNT_DEF)
769
770test_https_get_parallel_threads_CFLAGS = \
771  $(PTHREAD_CFLAGS) $(AM_CFLAGS)
772
773test_https_get_parallel_threads_LDADD = \
774  $(top_builddir)/src/testcurl/libcurl_version_check.a \
775  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
776  $(PTHREAD_LIBS) $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
777
778test_tls_authentication_SOURCES = \
779  test_tls_authentication.c \
780  tls_test_common.c
781
782test_tls_authentication_LDADD = \
783  $(top_builddir)/src/testcurl/libcurl_version_check.a \
784  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
785  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
786
787test_https_session_info_SOURCES = \
788  test_https_session_info.c \
789  tls_test_common.c
790
791test_https_session_info_LDADD = \
792  $(top_builddir)/src/testcurl/libcurl_version_check.a \
793  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
794  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
795
796test_https_multi_daemon_SOURCES = \
797  test_https_multi_daemon.c \
798  tls_test_common.c
799
800test_https_multi_daemon_LDADD = \
801  $(top_builddir)/src/testcurl/libcurl_version_check.a \
802  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
803  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
804
805test_https_get_SOURCES = \
806  test_https_get.c \
807  tls_test_common.c
808
809test_https_get_LDADD = \
810  $(top_builddir)/src/testcurl/libcurl_version_check.a \
811  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
812  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
813
814@HAVE_GNUTLS_SNI_TRUE@test_https_sni_SOURCES = \
815@HAVE_GNUTLS_SNI_TRUE@  test_https_sni.c \
816@HAVE_GNUTLS_SNI_TRUE@  tls_test_common.c
817
818@HAVE_GNUTLS_SNI_TRUE@test_https_sni_CPPFLAGS = \
819@HAVE_GNUTLS_SNI_TRUE@  $(AM_CPPFLAGS) \
820@HAVE_GNUTLS_SNI_TRUE@  -DABS_SRCDIR=\"$(abs_srcdir)\"
821
822@HAVE_GNUTLS_SNI_TRUE@test_https_sni_LDADD = \
823@HAVE_GNUTLS_SNI_TRUE@  $(top_builddir)/src/testcurl/libcurl_version_check.a \
824@HAVE_GNUTLS_SNI_TRUE@  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
825@HAVE_GNUTLS_SNI_TRUE@  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
826
827test_https_get_select_SOURCES = \
828  test_https_get_select.c \
829  tls_test_common.c
830
831test_https_get_select_LDADD = \
832  $(top_builddir)/src/testcurl/libcurl_version_check.a \
833  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
834  $(GNUTLS_LDFLAGS) $(GNUTLS_LIBS) @LIBGCRYPT_LIBS@ @LIBCURL@
835
836all: all-recursive
837
838.SUFFIXES:
839.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
840$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
841	@for dep in $?; do \
842	  case '$(am__configure_deps)' in \
843	    *$$dep*) \
844	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
845	        && { if test -f $@; then exit 0; else break; fi; }; \
846	      exit 1;; \
847	  esac; \
848	done; \
849	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/testcurl/https/Makefile'; \
850	$(am__cd) $(top_srcdir) && \
851	  $(AUTOMAKE) --gnu src/testcurl/https/Makefile
852.PRECIOUS: Makefile
853Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
854	@case '$?' in \
855	  *config.status*) \
856	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
857	  *) \
858	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
859	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
860	esac;
861
862$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
863	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
864
865$(top_srcdir)/configure:  $(am__configure_deps)
866	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
867$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
868	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
869$(am__aclocal_m4_deps):
870
871clean-checkPROGRAMS:
872	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
873	echo " rm -f" $$list; \
874	rm -f $$list || exit $$?; \
875	test -n "$(EXEEXT)" || exit 0; \
876	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
877	echo " rm -f" $$list; \
878	rm -f $$list
879
880test_empty_response$(EXEEXT): $(test_empty_response_OBJECTS) $(test_empty_response_DEPENDENCIES) $(EXTRA_test_empty_response_DEPENDENCIES)
881	@rm -f test_empty_response$(EXEEXT)
882	$(AM_V_CCLD)$(LINK) $(test_empty_response_OBJECTS) $(test_empty_response_LDADD) $(LIBS)
883
884test_https_get$(EXEEXT): $(test_https_get_OBJECTS) $(test_https_get_DEPENDENCIES) $(EXTRA_test_https_get_DEPENDENCIES)
885	@rm -f test_https_get$(EXEEXT)
886	$(AM_V_CCLD)$(LINK) $(test_https_get_OBJECTS) $(test_https_get_LDADD) $(LIBS)
887
888test_https_get_parallel$(EXEEXT): $(test_https_get_parallel_OBJECTS) $(test_https_get_parallel_DEPENDENCIES) $(EXTRA_test_https_get_parallel_DEPENDENCIES)
889	@rm -f test_https_get_parallel$(EXEEXT)
890	$(AM_V_CCLD)$(test_https_get_parallel_LINK) $(test_https_get_parallel_OBJECTS) $(test_https_get_parallel_LDADD) $(LIBS)
891
892test_https_get_parallel_threads$(EXEEXT): $(test_https_get_parallel_threads_OBJECTS) $(test_https_get_parallel_threads_DEPENDENCIES) $(EXTRA_test_https_get_parallel_threads_DEPENDENCIES)
893	@rm -f test_https_get_parallel_threads$(EXEEXT)
894	$(AM_V_CCLD)$(test_https_get_parallel_threads_LINK) $(test_https_get_parallel_threads_OBJECTS) $(test_https_get_parallel_threads_LDADD) $(LIBS)
895
896test_https_get_select$(EXEEXT): $(test_https_get_select_OBJECTS) $(test_https_get_select_DEPENDENCIES) $(EXTRA_test_https_get_select_DEPENDENCIES)
897	@rm -f test_https_get_select$(EXEEXT)
898	$(AM_V_CCLD)$(LINK) $(test_https_get_select_OBJECTS) $(test_https_get_select_LDADD) $(LIBS)
899
900test_https_multi_daemon$(EXEEXT): $(test_https_multi_daemon_OBJECTS) $(test_https_multi_daemon_DEPENDENCIES) $(EXTRA_test_https_multi_daemon_DEPENDENCIES)
901	@rm -f test_https_multi_daemon$(EXEEXT)
902	$(AM_V_CCLD)$(LINK) $(test_https_multi_daemon_OBJECTS) $(test_https_multi_daemon_LDADD) $(LIBS)
903
904test_https_session_info$(EXEEXT): $(test_https_session_info_OBJECTS) $(test_https_session_info_DEPENDENCIES) $(EXTRA_test_https_session_info_DEPENDENCIES)
905	@rm -f test_https_session_info$(EXEEXT)
906	$(AM_V_CCLD)$(LINK) $(test_https_session_info_OBJECTS) $(test_https_session_info_LDADD) $(LIBS)
907
908test_https_sni$(EXEEXT): $(test_https_sni_OBJECTS) $(test_https_sni_DEPENDENCIES) $(EXTRA_test_https_sni_DEPENDENCIES)
909	@rm -f test_https_sni$(EXEEXT)
910	$(AM_V_CCLD)$(LINK) $(test_https_sni_OBJECTS) $(test_https_sni_LDADD) $(LIBS)
911
912test_https_time_out$(EXEEXT): $(test_https_time_out_OBJECTS) $(test_https_time_out_DEPENDENCIES) $(EXTRA_test_https_time_out_DEPENDENCIES)
913	@rm -f test_https_time_out$(EXEEXT)
914	$(AM_V_CCLD)$(LINK) $(test_https_time_out_OBJECTS) $(test_https_time_out_LDADD) $(LIBS)
915
916test_tls_authentication$(EXEEXT): $(test_tls_authentication_OBJECTS) $(test_tls_authentication_DEPENDENCIES) $(EXTRA_test_tls_authentication_DEPENDENCIES)
917	@rm -f test_tls_authentication$(EXEEXT)
918	$(AM_V_CCLD)$(LINK) $(test_tls_authentication_OBJECTS) $(test_tls_authentication_LDADD) $(LIBS)
919
920test_tls_options$(EXEEXT): $(test_tls_options_OBJECTS) $(test_tls_options_DEPENDENCIES) $(EXTRA_test_tls_options_DEPENDENCIES)
921	@rm -f test_tls_options$(EXEEXT)
922	$(AM_V_CCLD)$(LINK) $(test_tls_options_OBJECTS) $(test_tls_options_LDADD) $(LIBS)
923
924mostlyclean-compile:
925	-rm -f *.$(OBJEXT)
926
927distclean-compile:
928	-rm -f *.tab.c
929
930@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_empty_response.Po@am__quote@
931@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_get.Po@am__quote@
932@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_get_parallel-test_https_get_parallel.Po@am__quote@
933@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_get_parallel-tls_test_common.Po@am__quote@
934@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_get_parallel_threads-test_https_get_parallel_threads.Po@am__quote@
935@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_get_parallel_threads-tls_test_common.Po@am__quote@
936@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_get_select.Po@am__quote@
937@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_multi_daemon.Po@am__quote@
938@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_session_info.Po@am__quote@
939@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_sni-test_https_sni.Po@am__quote@
940@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_sni-tls_test_common.Po@am__quote@
941@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_https_time_out.Po@am__quote@
942@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tls_authentication.Po@am__quote@
943@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tls_options.Po@am__quote@
944@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tls_test_common.Po@am__quote@
945
946.c.o:
947@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
948@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
949@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
950@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
951@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
953
954.c.obj:
955@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
956@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
957@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
958@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
959@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
960@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
961
962.c.lo:
963@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
964@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
965@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
966@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
967@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
968@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
969
970test_https_get_parallel-test_https_get_parallel.o: test_https_get_parallel.c
971@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_CFLAGS) $(CFLAGS) -MT test_https_get_parallel-test_https_get_parallel.o -MD -MP -MF $(DEPDIR)/test_https_get_parallel-test_https_get_parallel.Tpo -c -o test_https_get_parallel-test_https_get_parallel.o `test -f 'test_https_get_parallel.c' || echo '$(srcdir)/'`test_https_get_parallel.c
972@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_get_parallel-test_https_get_parallel.Tpo $(DEPDIR)/test_https_get_parallel-test_https_get_parallel.Po
973@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_https_get_parallel.c' object='test_https_get_parallel-test_https_get_parallel.o' libtool=no @AMDEPBACKSLASH@
974@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
975@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_CFLAGS) $(CFLAGS) -c -o test_https_get_parallel-test_https_get_parallel.o `test -f 'test_https_get_parallel.c' || echo '$(srcdir)/'`test_https_get_parallel.c
976
977test_https_get_parallel-test_https_get_parallel.obj: test_https_get_parallel.c
978@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_CFLAGS) $(CFLAGS) -MT test_https_get_parallel-test_https_get_parallel.obj -MD -MP -MF $(DEPDIR)/test_https_get_parallel-test_https_get_parallel.Tpo -c -o test_https_get_parallel-test_https_get_parallel.obj `if test -f 'test_https_get_parallel.c'; then $(CYGPATH_W) 'test_https_get_parallel.c'; else $(CYGPATH_W) '$(srcdir)/test_https_get_parallel.c'; fi`
979@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_get_parallel-test_https_get_parallel.Tpo $(DEPDIR)/test_https_get_parallel-test_https_get_parallel.Po
980@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_https_get_parallel.c' object='test_https_get_parallel-test_https_get_parallel.obj' libtool=no @AMDEPBACKSLASH@
981@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
982@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_CFLAGS) $(CFLAGS) -c -o test_https_get_parallel-test_https_get_parallel.obj `if test -f 'test_https_get_parallel.c'; then $(CYGPATH_W) 'test_https_get_parallel.c'; else $(CYGPATH_W) '$(srcdir)/test_https_get_parallel.c'; fi`
983
984test_https_get_parallel-tls_test_common.o: tls_test_common.c
985@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_CFLAGS) $(CFLAGS) -MT test_https_get_parallel-tls_test_common.o -MD -MP -MF $(DEPDIR)/test_https_get_parallel-tls_test_common.Tpo -c -o test_https_get_parallel-tls_test_common.o `test -f 'tls_test_common.c' || echo '$(srcdir)/'`tls_test_common.c
986@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_get_parallel-tls_test_common.Tpo $(DEPDIR)/test_https_get_parallel-tls_test_common.Po
987@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='tls_test_common.c' object='test_https_get_parallel-tls_test_common.o' libtool=no @AMDEPBACKSLASH@
988@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
989@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_CFLAGS) $(CFLAGS) -c -o test_https_get_parallel-tls_test_common.o `test -f 'tls_test_common.c' || echo '$(srcdir)/'`tls_test_common.c
990
991test_https_get_parallel-tls_test_common.obj: tls_test_common.c
992@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_CFLAGS) $(CFLAGS) -MT test_https_get_parallel-tls_test_common.obj -MD -MP -MF $(DEPDIR)/test_https_get_parallel-tls_test_common.Tpo -c -o test_https_get_parallel-tls_test_common.obj `if test -f 'tls_test_common.c'; then $(CYGPATH_W) 'tls_test_common.c'; else $(CYGPATH_W) '$(srcdir)/tls_test_common.c'; fi`
993@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_get_parallel-tls_test_common.Tpo $(DEPDIR)/test_https_get_parallel-tls_test_common.Po
994@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='tls_test_common.c' object='test_https_get_parallel-tls_test_common.obj' libtool=no @AMDEPBACKSLASH@
995@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
996@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_CFLAGS) $(CFLAGS) -c -o test_https_get_parallel-tls_test_common.obj `if test -f 'tls_test_common.c'; then $(CYGPATH_W) 'tls_test_common.c'; else $(CYGPATH_W) '$(srcdir)/tls_test_common.c'; fi`
997
998test_https_get_parallel_threads-test_https_get_parallel_threads.o: test_https_get_parallel_threads.c
999@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_threads_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) -MT test_https_get_parallel_threads-test_https_get_parallel_threads.o -MD -MP -MF $(DEPDIR)/test_https_get_parallel_threads-test_https_get_parallel_threads.Tpo -c -o test_https_get_parallel_threads-test_https_get_parallel_threads.o `test -f 'test_https_get_parallel_threads.c' || echo '$(srcdir)/'`test_https_get_parallel_threads.c
1000@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_get_parallel_threads-test_https_get_parallel_threads.Tpo $(DEPDIR)/test_https_get_parallel_threads-test_https_get_parallel_threads.Po
1001@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_https_get_parallel_threads.c' object='test_https_get_parallel_threads-test_https_get_parallel_threads.o' libtool=no @AMDEPBACKSLASH@
1002@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1003@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_threads_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) -c -o test_https_get_parallel_threads-test_https_get_parallel_threads.o `test -f 'test_https_get_parallel_threads.c' || echo '$(srcdir)/'`test_https_get_parallel_threads.c
1004
1005test_https_get_parallel_threads-test_https_get_parallel_threads.obj: test_https_get_parallel_threads.c
1006@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_threads_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) -MT test_https_get_parallel_threads-test_https_get_parallel_threads.obj -MD -MP -MF $(DEPDIR)/test_https_get_parallel_threads-test_https_get_parallel_threads.Tpo -c -o test_https_get_parallel_threads-test_https_get_parallel_threads.obj `if test -f 'test_https_get_parallel_threads.c'; then $(CYGPATH_W) 'test_https_get_parallel_threads.c'; else $(CYGPATH_W) '$(srcdir)/test_https_get_parallel_threads.c'; fi`
1007@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_get_parallel_threads-test_https_get_parallel_threads.Tpo $(DEPDIR)/test_https_get_parallel_threads-test_https_get_parallel_threads.Po
1008@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_https_get_parallel_threads.c' object='test_https_get_parallel_threads-test_https_get_parallel_threads.obj' libtool=no @AMDEPBACKSLASH@
1009@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1010@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_threads_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) -c -o test_https_get_parallel_threads-test_https_get_parallel_threads.obj `if test -f 'test_https_get_parallel_threads.c'; then $(CYGPATH_W) 'test_https_get_parallel_threads.c'; else $(CYGPATH_W) '$(srcdir)/test_https_get_parallel_threads.c'; fi`
1011
1012test_https_get_parallel_threads-tls_test_common.o: tls_test_common.c
1013@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_threads_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) -MT test_https_get_parallel_threads-tls_test_common.o -MD -MP -MF $(DEPDIR)/test_https_get_parallel_threads-tls_test_common.Tpo -c -o test_https_get_parallel_threads-tls_test_common.o `test -f 'tls_test_common.c' || echo '$(srcdir)/'`tls_test_common.c
1014@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_get_parallel_threads-tls_test_common.Tpo $(DEPDIR)/test_https_get_parallel_threads-tls_test_common.Po
1015@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='tls_test_common.c' object='test_https_get_parallel_threads-tls_test_common.o' libtool=no @AMDEPBACKSLASH@
1016@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1017@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_threads_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) -c -o test_https_get_parallel_threads-tls_test_common.o `test -f 'tls_test_common.c' || echo '$(srcdir)/'`tls_test_common.c
1018
1019test_https_get_parallel_threads-tls_test_common.obj: tls_test_common.c
1020@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_threads_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) -MT test_https_get_parallel_threads-tls_test_common.obj -MD -MP -MF $(DEPDIR)/test_https_get_parallel_threads-tls_test_common.Tpo -c -o test_https_get_parallel_threads-tls_test_common.obj `if test -f 'tls_test_common.c'; then $(CYGPATH_W) 'tls_test_common.c'; else $(CYGPATH_W) '$(srcdir)/tls_test_common.c'; fi`
1021@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_get_parallel_threads-tls_test_common.Tpo $(DEPDIR)/test_https_get_parallel_threads-tls_test_common.Po
1022@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='tls_test_common.c' object='test_https_get_parallel_threads-tls_test_common.obj' libtool=no @AMDEPBACKSLASH@
1023@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1024@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_get_parallel_threads_CPPFLAGS) $(CPPFLAGS) $(test_https_get_parallel_threads_CFLAGS) $(CFLAGS) -c -o test_https_get_parallel_threads-tls_test_common.obj `if test -f 'tls_test_common.c'; then $(CYGPATH_W) 'tls_test_common.c'; else $(CYGPATH_W) '$(srcdir)/tls_test_common.c'; fi`
1025
1026test_https_sni-test_https_sni.o: test_https_sni.c
1027@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_sni_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_https_sni-test_https_sni.o -MD -MP -MF $(DEPDIR)/test_https_sni-test_https_sni.Tpo -c -o test_https_sni-test_https_sni.o `test -f 'test_https_sni.c' || echo '$(srcdir)/'`test_https_sni.c
1028@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_sni-test_https_sni.Tpo $(DEPDIR)/test_https_sni-test_https_sni.Po
1029@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_https_sni.c' object='test_https_sni-test_https_sni.o' libtool=no @AMDEPBACKSLASH@
1030@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1031@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_sni_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_https_sni-test_https_sni.o `test -f 'test_https_sni.c' || echo '$(srcdir)/'`test_https_sni.c
1032
1033test_https_sni-test_https_sni.obj: test_https_sni.c
1034@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_sni_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_https_sni-test_https_sni.obj -MD -MP -MF $(DEPDIR)/test_https_sni-test_https_sni.Tpo -c -o test_https_sni-test_https_sni.obj `if test -f 'test_https_sni.c'; then $(CYGPATH_W) 'test_https_sni.c'; else $(CYGPATH_W) '$(srcdir)/test_https_sni.c'; fi`
1035@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_sni-test_https_sni.Tpo $(DEPDIR)/test_https_sni-test_https_sni.Po
1036@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_https_sni.c' object='test_https_sni-test_https_sni.obj' libtool=no @AMDEPBACKSLASH@
1037@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1038@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_sni_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_https_sni-test_https_sni.obj `if test -f 'test_https_sni.c'; then $(CYGPATH_W) 'test_https_sni.c'; else $(CYGPATH_W) '$(srcdir)/test_https_sni.c'; fi`
1039
1040test_https_sni-tls_test_common.o: tls_test_common.c
1041@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_sni_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_https_sni-tls_test_common.o -MD -MP -MF $(DEPDIR)/test_https_sni-tls_test_common.Tpo -c -o test_https_sni-tls_test_common.o `test -f 'tls_test_common.c' || echo '$(srcdir)/'`tls_test_common.c
1042@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_sni-tls_test_common.Tpo $(DEPDIR)/test_https_sni-tls_test_common.Po
1043@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='tls_test_common.c' object='test_https_sni-tls_test_common.o' libtool=no @AMDEPBACKSLASH@
1044@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1045@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_sni_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_https_sni-tls_test_common.o `test -f 'tls_test_common.c' || echo '$(srcdir)/'`tls_test_common.c
1046
1047test_https_sni-tls_test_common.obj: tls_test_common.c
1048@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_sni_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_https_sni-tls_test_common.obj -MD -MP -MF $(DEPDIR)/test_https_sni-tls_test_common.Tpo -c -o test_https_sni-tls_test_common.obj `if test -f 'tls_test_common.c'; then $(CYGPATH_W) 'tls_test_common.c'; else $(CYGPATH_W) '$(srcdir)/tls_test_common.c'; fi`
1049@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_https_sni-tls_test_common.Tpo $(DEPDIR)/test_https_sni-tls_test_common.Po
1050@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='tls_test_common.c' object='test_https_sni-tls_test_common.obj' libtool=no @AMDEPBACKSLASH@
1051@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1052@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_https_sni_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_https_sni-tls_test_common.obj `if test -f 'tls_test_common.c'; then $(CYGPATH_W) 'tls_test_common.c'; else $(CYGPATH_W) '$(srcdir)/tls_test_common.c'; fi`
1053
1054mostlyclean-libtool:
1055	-rm -f *.lo
1056
1057clean-libtool:
1058	-rm -rf .libs _libs
1059
1060# This directory's subdirectories are mostly independent; you can cd
1061# into them and run 'make' without going through this Makefile.
1062# To change the values of 'make' variables: instead of editing Makefiles,
1063# (1) if the variable is set in 'config.status', edit 'config.status'
1064#     (which will cause the Makefiles to be regenerated when you run 'make');
1065# (2) otherwise, pass the desired values on the 'make' command line.
1066$(am__recursive_targets):
1067	@fail=; \
1068	if $(am__make_keepgoing); then \
1069	  failcom='fail=yes'; \
1070	else \
1071	  failcom='exit 1'; \
1072	fi; \
1073	dot_seen=no; \
1074	target=`echo $@ | sed s/-recursive//`; \
1075	case "$@" in \
1076	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1077	  *) list='$(SUBDIRS)' ;; \
1078	esac; \
1079	for subdir in $$list; do \
1080	  echo "Making $$target in $$subdir"; \
1081	  if test "$$subdir" = "."; then \
1082	    dot_seen=yes; \
1083	    local_target="$$target-am"; \
1084	  else \
1085	    local_target="$$target"; \
1086	  fi; \
1087	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1088	  || eval $$failcom; \
1089	done; \
1090	if test "$$dot_seen" = "no"; then \
1091	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1092	fi; test -z "$$fail"
1093
1094ID: $(am__tagged_files)
1095	$(am__define_uniq_tagged_files); mkid -fID $$unique
1096tags: tags-recursive
1097TAGS: tags
1098
1099tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1100	set x; \
1101	here=`pwd`; \
1102	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1103	  include_option=--etags-include; \
1104	  empty_fix=.; \
1105	else \
1106	  include_option=--include; \
1107	  empty_fix=; \
1108	fi; \
1109	list='$(SUBDIRS)'; for subdir in $$list; do \
1110	  if test "$$subdir" = .; then :; else \
1111	    test ! -f $$subdir/TAGS || \
1112	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1113	  fi; \
1114	done; \
1115	$(am__define_uniq_tagged_files); \
1116	shift; \
1117	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1118	  test -n "$$unique" || unique=$$empty_fix; \
1119	  if test $$# -gt 0; then \
1120	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1121	      "$$@" $$unique; \
1122	  else \
1123	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1124	      $$unique; \
1125	  fi; \
1126	fi
1127ctags: ctags-recursive
1128
1129CTAGS: ctags
1130ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1131	$(am__define_uniq_tagged_files); \
1132	test -z "$(CTAGS_ARGS)$$unique" \
1133	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1134	     $$unique
1135
1136GTAGS:
1137	here=`$(am__cd) $(top_builddir) && pwd` \
1138	  && $(am__cd) $(top_srcdir) \
1139	  && gtags -i $(GTAGS_ARGS) "$$here"
1140cscopelist: cscopelist-recursive
1141
1142cscopelist-am: $(am__tagged_files)
1143	list='$(am__tagged_files)'; \
1144	case "$(srcdir)" in \
1145	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1146	  *) sdir=$(subdir)/$(srcdir) ;; \
1147	esac; \
1148	for i in $$list; do \
1149	  if test -f "$$i"; then \
1150	    echo "$(subdir)/$$i"; \
1151	  else \
1152	    echo "$$sdir/$$i"; \
1153	  fi; \
1154	done >> $(top_builddir)/cscope.files
1155
1156distclean-tags:
1157	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1158
1159# Recover from deleted '.trs' file; this should ensure that
1160# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1161# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1162# to avoid problems with "make -n".
1163.log.trs:
1164	rm -f $< $@
1165	$(MAKE) $(AM_MAKEFLAGS) $<
1166
1167# Leading 'am--fnord' is there to ensure the list of targets does not
1168# expand to empty, as could happen e.g. with make check TESTS=''.
1169am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1170am--force-recheck:
1171	@:
1172
1173$(TEST_SUITE_LOG): $(TEST_LOGS)
1174	@$(am__set_TESTS_bases); \
1175	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1176	redo_bases=`for i in $$bases; do \
1177	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1178	            done`; \
1179	if test -n "$$redo_bases"; then \
1180	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1181	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1182	  if $(am__make_dryrun); then :; else \
1183	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1184	  fi; \
1185	fi; \
1186	if test -n "$$am__remaking_logs"; then \
1187	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1188	       "recursion detected" >&2; \
1189	else \
1190	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1191	fi; \
1192	if $(am__make_dryrun); then :; else \
1193	  st=0;  \
1194	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1195	  for i in $$redo_bases; do \
1196	    test -f $$i.trs && test -r $$i.trs \
1197	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1198	    test -f $$i.log && test -r $$i.log \
1199	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1200	  done; \
1201	  test $$st -eq 0 || exit 1; \
1202	fi
1203	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1204	ws='[ 	]'; \
1205	results=`for b in $$bases; do echo $$b.trs; done`; \
1206	test -n "$$results" || results=/dev/null; \
1207	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1208	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1209	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1210	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1211	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1212	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1213	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1214	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1215	  success=true; \
1216	else \
1217	  success=false; \
1218	fi; \
1219	br='==================='; br=$$br$$br$$br$$br; \
1220	result_count () \
1221	{ \
1222	    if test x"$$1" = x"--maybe-color"; then \
1223	      maybe_colorize=yes; \
1224	    elif test x"$$1" = x"--no-color"; then \
1225	      maybe_colorize=no; \
1226	    else \
1227	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1228	    fi; \
1229	    shift; \
1230	    desc=$$1 count=$$2; \
1231	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1232	      color_start=$$3 color_end=$$std; \
1233	    else \
1234	      color_start= color_end=; \
1235	    fi; \
1236	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1237	}; \
1238	create_testsuite_report () \
1239	{ \
1240	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1241	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1242	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1243	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1244	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1245	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1246	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1247	}; \
1248	{								\
1249	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1250	    $(am__rst_title);						\
1251	  create_testsuite_report --no-color;				\
1252	  echo;								\
1253	  echo ".. contents:: :depth: 2";				\
1254	  echo;								\
1255	  for b in $$bases; do echo $$b; done				\
1256	    | $(am__create_global_log);					\
1257	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1258	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1259	if $$success; then						\
1260	  col="$$grn";							\
1261	 else								\
1262	  col="$$red";							\
1263	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1264	fi;								\
1265	echo "$${col}$$br$${std}"; 					\
1266	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1267	echo "$${col}$$br$${std}"; 					\
1268	create_testsuite_report --maybe-color;				\
1269	echo "$$col$$br$$std";						\
1270	if $$success; then :; else					\
1271	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1272	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1273	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1274	  fi;								\
1275	  echo "$$col$$br$$std";					\
1276	fi;								\
1277	$$success || exit 1
1278
1279check-TESTS:
1280	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1281	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1282	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1283	@set +e; $(am__set_TESTS_bases); \
1284	log_list=`for i in $$bases; do echo $$i.log; done`; \
1285	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1286	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1287	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1288	exit $$?;
1289recheck: all $(check_PROGRAMS)
1290	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1291	@set +e; $(am__set_TESTS_bases); \
1292	bases=`for i in $$bases; do echo $$i; done \
1293	         | $(am__list_recheck_tests)` || exit 1; \
1294	log_list=`for i in $$bases; do echo $$i.log; done`; \
1295	log_list=`echo $$log_list`; \
1296	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1297	        am__force_recheck=am--force-recheck \
1298	        TEST_LOGS="$$log_list"; \
1299	exit $$?
1300test_tls_options.log: test_tls_options$(EXEEXT)
1301	@p='test_tls_options$(EXEEXT)'; \
1302	b='test_tls_options'; \
1303	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1304	--log-file $$b.log --trs-file $$b.trs \
1305	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1306	"$$tst" $(AM_TESTS_FD_REDIRECT)
1307test_https_multi_daemon.log: test_https_multi_daemon$(EXEEXT)
1308	@p='test_https_multi_daemon$(EXEEXT)'; \
1309	b='test_https_multi_daemon'; \
1310	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1311	--log-file $$b.log --trs-file $$b.trs \
1312	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1313	"$$tst" $(AM_TESTS_FD_REDIRECT)
1314test_https_get.log: test_https_get$(EXEEXT)
1315	@p='test_https_get$(EXEEXT)'; \
1316	b='test_https_get'; \
1317	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1318	--log-file $$b.log --trs-file $$b.trs \
1319	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1320	"$$tst" $(AM_TESTS_FD_REDIRECT)
1321test_https_sni.log: test_https_sni$(EXEEXT)
1322	@p='test_https_sni$(EXEEXT)'; \
1323	b='test_https_sni'; \
1324	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1325	--log-file $$b.log --trs-file $$b.trs \
1326	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1327	"$$tst" $(AM_TESTS_FD_REDIRECT)
1328test_https_get_select.log: test_https_get_select$(EXEEXT)
1329	@p='test_https_get_select$(EXEEXT)'; \
1330	b='test_https_get_select'; \
1331	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1332	--log-file $$b.log --trs-file $$b.trs \
1333	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1334	"$$tst" $(AM_TESTS_FD_REDIRECT)
1335test_https_get_parallel.log: test_https_get_parallel$(EXEEXT)
1336	@p='test_https_get_parallel$(EXEEXT)'; \
1337	b='test_https_get_parallel'; \
1338	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1339	--log-file $$b.log --trs-file $$b.trs \
1340	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1341	"$$tst" $(AM_TESTS_FD_REDIRECT)
1342test_https_get_parallel_threads.log: test_https_get_parallel_threads$(EXEEXT)
1343	@p='test_https_get_parallel_threads$(EXEEXT)'; \
1344	b='test_https_get_parallel_threads'; \
1345	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1346	--log-file $$b.log --trs-file $$b.trs \
1347	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1348	"$$tst" $(AM_TESTS_FD_REDIRECT)
1349test_https_session_info.log: test_https_session_info$(EXEEXT)
1350	@p='test_https_session_info$(EXEEXT)'; \
1351	b='test_https_session_info'; \
1352	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1353	--log-file $$b.log --trs-file $$b.trs \
1354	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1355	"$$tst" $(AM_TESTS_FD_REDIRECT)
1356test_https_time_out.log: test_https_time_out$(EXEEXT)
1357	@p='test_https_time_out$(EXEEXT)'; \
1358	b='test_https_time_out'; \
1359	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1360	--log-file $$b.log --trs-file $$b.trs \
1361	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1362	"$$tst" $(AM_TESTS_FD_REDIRECT)
1363test_tls_authentication.log: test_tls_authentication$(EXEEXT)
1364	@p='test_tls_authentication$(EXEEXT)'; \
1365	b='test_tls_authentication'; \
1366	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1367	--log-file $$b.log --trs-file $$b.trs \
1368	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1369	"$$tst" $(AM_TESTS_FD_REDIRECT)
1370test_empty_response.log: test_empty_response$(EXEEXT)
1371	@p='test_empty_response$(EXEEXT)'; \
1372	b='test_empty_response'; \
1373	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1374	--log-file $$b.log --trs-file $$b.trs \
1375	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1376	"$$tst" $(AM_TESTS_FD_REDIRECT)
1377.test.log:
1378	@p='$<'; \
1379	$(am__set_b); \
1380	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1381	--log-file $$b.log --trs-file $$b.trs \
1382	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1383	"$$tst" $(AM_TESTS_FD_REDIRECT)
1384@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1385@am__EXEEXT_TRUE@	@p='$<'; \
1386@am__EXEEXT_TRUE@	$(am__set_b); \
1387@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1388@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1389@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1390@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1391
1392distdir: $(DISTFILES)
1393	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1394	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1395	list='$(DISTFILES)'; \
1396	  dist_files=`for file in $$list; do echo $$file; done | \
1397	  sed -e "s|^$$srcdirstrip/||;t" \
1398	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1399	case $$dist_files in \
1400	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1401			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1402			   sort -u` ;; \
1403	esac; \
1404	for file in $$dist_files; do \
1405	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1406	  if test -d $$d/$$file; then \
1407	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1408	    if test -d "$(distdir)/$$file"; then \
1409	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1410	    fi; \
1411	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1412	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1413	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1414	    fi; \
1415	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1416	  else \
1417	    test -f "$(distdir)/$$file" \
1418	    || cp -p $$d/$$file "$(distdir)/$$file" \
1419	    || exit 1; \
1420	  fi; \
1421	done
1422	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1423	  if test "$$subdir" = .; then :; else \
1424	    $(am__make_dryrun) \
1425	      || test -d "$(distdir)/$$subdir" \
1426	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1427	      || exit 1; \
1428	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1429	    $(am__relativize); \
1430	    new_distdir=$$reldir; \
1431	    dir1=$$subdir; dir2="$(top_distdir)"; \
1432	    $(am__relativize); \
1433	    new_top_distdir=$$reldir; \
1434	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1435	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1436	    ($(am__cd) $$subdir && \
1437	      $(MAKE) $(AM_MAKEFLAGS) \
1438	        top_distdir="$$new_top_distdir" \
1439	        distdir="$$new_distdir" \
1440		am__remove_distdir=: \
1441		am__skip_length_check=: \
1442		am__skip_mode_fix=: \
1443	        distdir) \
1444	      || exit 1; \
1445	  fi; \
1446	done
1447check-am: all-am
1448	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1449	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1450check: check-recursive
1451all-am: Makefile
1452installdirs: installdirs-recursive
1453installdirs-am:
1454install: install-recursive
1455install-exec: install-exec-recursive
1456install-data: install-data-recursive
1457uninstall: uninstall-recursive
1458
1459install-am: all-am
1460	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1461
1462installcheck: installcheck-recursive
1463install-strip:
1464	if test -z '$(STRIP)'; then \
1465	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1466	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1467	      install; \
1468	else \
1469	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1470	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1471	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1472	fi
1473mostlyclean-generic:
1474	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1475	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1476	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1477
1478clean-generic:
1479
1480distclean-generic:
1481	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1482	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1483
1484maintainer-clean-generic:
1485	@echo "This command is intended for maintainers to use"
1486	@echo "it deletes files that may require special tools to rebuild."
1487clean: clean-recursive
1488
1489clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1490	mostlyclean-am
1491
1492distclean: distclean-recursive
1493	-rm -rf ./$(DEPDIR)
1494	-rm -f Makefile
1495distclean-am: clean-am distclean-compile distclean-generic \
1496	distclean-tags
1497
1498dvi: dvi-recursive
1499
1500dvi-am:
1501
1502html: html-recursive
1503
1504html-am:
1505
1506info: info-recursive
1507
1508info-am:
1509
1510install-data-am:
1511
1512install-dvi: install-dvi-recursive
1513
1514install-dvi-am:
1515
1516install-exec-am:
1517
1518install-html: install-html-recursive
1519
1520install-html-am:
1521
1522install-info: install-info-recursive
1523
1524install-info-am:
1525
1526install-man:
1527
1528install-pdf: install-pdf-recursive
1529
1530install-pdf-am:
1531
1532install-ps: install-ps-recursive
1533
1534install-ps-am:
1535
1536installcheck-am:
1537
1538maintainer-clean: maintainer-clean-recursive
1539	-rm -rf ./$(DEPDIR)
1540	-rm -f Makefile
1541maintainer-clean-am: distclean-am maintainer-clean-generic
1542
1543mostlyclean: mostlyclean-recursive
1544
1545mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1546	mostlyclean-libtool
1547
1548pdf: pdf-recursive
1549
1550pdf-am:
1551
1552ps: ps-recursive
1553
1554ps-am:
1555
1556uninstall-am:
1557
1558.MAKE: $(am__recursive_targets) check-am install-am install-strip
1559
1560.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1561	check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1562	clean-libtool cscopelist-am ctags ctags-am distclean \
1563	distclean-compile distclean-generic distclean-libtool \
1564	distclean-tags distdir dvi dvi-am html html-am info info-am \
1565	install install-am install-data install-data-am install-dvi \
1566	install-dvi-am install-exec install-exec-am install-html \
1567	install-html-am install-info install-info-am install-man \
1568	install-pdf install-pdf-am install-ps install-ps-am \
1569	install-strip installcheck installcheck-am installdirs \
1570	installdirs-am maintainer-clean maintainer-clean-generic \
1571	mostlyclean mostlyclean-compile mostlyclean-generic \
1572	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1573	uninstall uninstall-am
1574
1575
1576# Tell versions [3.59,3.63) of GNU make to not export all variables.
1577# Otherwise a system limit (for SysV at least) may be exceeded.
1578.NOEXPORT:
1579